> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledger.nxos.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Asset Move Types



## OpenAPI

````yaml ledger-openapi GET /v1/ledger/{ledger_key}/type/asset-move
openapi: 3.0.0
info:
  title: Ledger API
  version: 0.0.0
servers:
  - url: https://api.sandbox.nxos.io
    description: single server endpoint
    variables: {}
security: []
tags: []
paths:
  /v1/ledger/{ledger_key}/type/asset-move:
    get:
      summary: List Asset Move Types
      operationId: AssetMove_listAssetMoveTypes
      parameters:
        - $ref: '#/components/parameters/BasicAuthHeader'
        - $ref: '#/components/parameters/LedgerKey'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Type'
components:
  parameters:
    BasicAuthHeader:
      name: Authorization
      in: header
      required: true
      description: |-
        The Basic Authentication header.
        Format: "Basic {base64(orgID:apiKey)}"
      schema:
        type: string
    LedgerKey:
      name: ledger_key
      in: path
      required: true
      description: |-
        The key of the ledger. 
        Examples: 
        - "123e4567-e89b-12d3-a456-426614174000"
        - "id:123e4567-e89b-12d3-a456-426614174000"
        - "ref:ledger:customer_a"
      schema:
        type: string
  schemas:
    Type:
      type: object
      required:
        - code
      properties:
        code:
          type: string
          minLength: 1
          description: The code of the type. This code will be unique across the ledger
        metadata:
          type: object
          additionalProperties: {}
          description: Additional, optional, metadata for the type

````